<?php
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "100%");
define("THEME_BULLET", "&middot;");

function render_page($license=false) {
	
	global $settings, $locale, $main_style, $userdata, $aidlink;
	
	echo "<div class='outer'><div id='top-header'>\n";
	if (iMEMBER) {
		echo "<a href='".BASEDIR."edit_profile.php'>".$locale['global_120']."</a>\n";
		echo "&middot; <a href='".BASEDIR."messages.php'>".$locale['global_121']."</a>\n";
		echo "&middot; <a href='".BASEDIR."members.php'>".$locale['global_122']."</a>\n";
		if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
			echo "&middot; <a href='".ADMIN."index.php".$aidlink."'>".$locale['global_123']."</a>\n";
		}
		echo "&middot; <a href='".BASEDIR."setuser.php?logout=yes'>".$locale['global_124']."</a>\n";
	} else {
		echo "<a href='".BASEDIR."login.php'>Login</a>\n";
		if ($settings['enable_registration']) {
			echo "&middot; <a href='".BASEDIR."register.php'>Register</a>\n";
		}
	}
	echo "</div>\n";
	
	echo "<div id='header' class='clearfix'>\n";
	echo "<div style='margin:15px 10px 0 10px'>".showbanners()."</div>\n";
	echo "<div style='position:relative;'><a href='".BASEDIR."search.php'><img src='".THEME."images/Search.png' border='0' alt='' title='Search' style='position:absolute;top:+35px;right:70px;' /></a>
</div>";
echo "<div style='position:relative;'><a href='".BASEDIR."photogallery.php'><img src='".THEME."images/Photo.png' border='0' alt='' title='Photo' style='position:absolute;top:+165px;right:450px;' /></a>
</div>";
echo "<div style='position:relative;'><a href='".BASEDIR."forum/index.php'><img src='".THEME."images/debat.png' border='0' alt='' title='Debat' style='position:absolute;top:-80px;right:400px;' /></a>
</div>";
echo "<div style='position:relative;'><a href='".BASEDIR."index.php'><img src='".THEME."images/Sidebar.gif' border='0' alt='' title='Home' style='position:absolute;top:+180px;right:722px;' /></a>
</div>";
	echo "</div>\n";
	
	echo "<div id='sub-header' class='clearfix'>\n";
	echo "<div class='flleft'>".showsublinks(" ")."</div>\n";
	echo "<div class='flright' style='text-align:right;padding:0.4em'>".showsubdate()."</div>\n";
	echo "<div class='clear'></div>\n";
	echo "</div>\n";
	
	echo "<div id='container' class='clearfix $main_style'>\n";
	if (LEFT) { echo "<div id='side-border-left'>".LEFT."</div>\n"; }
	if (RIGHT) { echo "<div id='side-border-right'>".RIGHT."</div>\n"; }
	echo "<div id='main-content'><div id='main-container'>".U_CENTER.CONTENT.L_CENTER."</div></div>\n";
	echo "</div>\n";
		
	echo "<div class='clear'></div>\n";
	
	echo "<div id='footer'>\n";
	echo"<br /><br /><br /><br />";
	echo "<div class='center' style='width:35%'>".(!$license ? showcopyright()."<br />" : "")."\n";
	echo "Pirate treasure by <a href='http://www.assensvej.dk/7/frontpage.php'>Assensvej.dk</a></div>\n";
	echo "<div class='center' style='text-align:right;width:50%'>".stripslashes($settings['footer'])."</div>\n";
	echo "<div class='clear'><br /><br /></div>\n";
	echo "<div class='clear'></div>\n";
	echo "<div style='position:relative;'><a href='".BASEDIR."index.php'><img src='".THEME."images/up.png' border='0' alt='' title='Up/Op' style='position:absolute;top:-60px;right:940px;' /></a>
</div>";
	echo "<div style='position:relative;'><a href='".BASEDIR."index.php'><img src='".THEME."images/up1.png' border='0' alt='' title='Up/Op' style='position:absolute;top:-60px;right:10px;' /></a>
</div>";
	echo "<div style='position:relative;'><a href='http://www.assensvej.dk/7/frontpage.php'><img src='".THEME."images/assensvej.png' border='0' alt='' title='assensvej.dk' style='position:absolute;top:-60px;right:100px;' /></a>
</div>";

	echo "</div></div>\n";
}

function render_news($subject, $news, $info) {

	echo "<div class='main-border'>\n";
	echo "<div class='main-caption'>".$subject."</div>\n";
	echo "<div class='main-body'>".$news."\n";
	echo "<div class='news-footer'>\n";
	echo newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</div>\n</div>\n</div>\n";

}

function render_article($subject, $article, $info) {

	echo "<div class='main-caption'>$subject</div>\n";
	echo "<div class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='news-footer'>\n";
	echo articleposter($info,"&middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</div>\n";

}

function opentable($title) {

	echo "<div class='main-border'>\n";
	echo "<div class='main-caption'>".$title."</div>\n";
	echo "<div class='main-body'>\n";

}

function closetable() {

	echo "</div>\n</div>\n";

}

function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;


	echo "<div class='side-border'>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div class='side-caption' style='float:right;margin-top:6px;'>".panelbutton($state,$boxname)."</div>\n";
	}
	echo "<div class='side-caption'>".$title."</div>\n";
	echo "<div class='side-body floatfix'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div>\n</div>\n";
	echo "<br />";
}
?>